まつもと ゆきひろです.

In message "[ruby-list:304] dynamic lib"
    on 96/07/11, Jun Kuroda <j_kuro / pluto.ai.kyutech.ac.jp> writes:
|黒田です.

|require "socket"
|等に対して
|
|ruby: can't resolve symbol 'cIO'
|/user/j_kuro/bin/finger:6:in `require': Unable to resolve symbol - /usr/local/li
|b/ruby/i486-linux/socket.so
|
|と言われます, どうしたら良いでしょうか?

とのことですが,

|linux 1.2.13
|ruby - version 0.99 (96/07/10)

これは私の開発マシンと全く同じですが,問題はないようです.

あ,でも,うちのはa.outだ.socket.soということは黒田さんのは
ELFですね.という事はELF版のダイナミックロードにバグがある可
能性がありますね.手元に環境が無いのでなかなか調べられないの
ですが,ちょっと調べてみます.